> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Stream Update

> Updates the configuration of an existing data stream



## OpenAPI

````yaml /openapi/product/data-sets.yaml put /api/data/v1/streams/{streamId}
openapi: 3.0.0
info:
  title: Datasets API
  version: v1
  description: >
    The Domo Datasets API provides a set of endpoints for managing, creating,
    and updating datasets within Domo. The API allows developers to execute SQL
    queries on datasets,

    manage access permissions, retrieve metadata, append rows, share datasets,
    and perform various dataset operations.
servers:
  - url: https://{instance}.domo.com
    description: Domo Instance
    variables:
      instance:
        default: example
        description: Your Domo instance name
security:
  - developerToken: []
paths:
  /api/data/v1/streams/{streamId}:
    put:
      tags:
        - Datasets API
      summary: Stream Update
      description: Updates the configuration of an existing data stream
      parameters:
        - name: streamId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StreamCreate'
            example:
              transport:
                type: CONNECTOR
                description: com.domo.connector.postgresql.partition
                version: '0'
              configuration:
                - name: fetch_size
                  value: None
                  type: string
                  category: METADATA
              account:
                id: 1
              updateMethod: APPEND
              dataProvider:
                key: postgresql-partition
              dataSource:
                name: hello world
                description: config works?
              advancedScheduleJson: '{"type": "MANUAL", "timezone": "UTC"}'
      responses:
        '200':
          description: Stream updated successfully
      x-codeSamples:
        - lang: HTTP
          source: |
            PUT /api/data/v1/streams/{streamId} HTTP/1.1
            Host: {instance}.domo.com
            X-DOMO-Developer-Token: {token}
            Content-Type: application/json

            {
              "transport": {
                "type": "CONNECTOR",
                "description": "com.domo.connector.postgresql.partition",
                "version": "0"
              },
              "configuration": [
                {
                  "name": "fetch_size",
                  "value": "None",
                  "type": "string",
                  "category": "METADATA"
                }
              ],
              "account": {
                "id": 1
              },
              "updateMethod": "APPEND",
              "dataProvider": {
                "key": "postgresql-partition"
              },
              "dataSource": {
                "name": "hello world",
                "description": "config works?"
              },
              "advancedScheduleJson": "{\"type\": \"MANUAL\", \"timezone\": \"UTC\"}"
            }
components:
  schemas:
    StreamCreate:
      type: object
      required:
        - transport
        - configuration
        - account
        - updateMethod
        - dataProvider
        - dataSource
      properties:
        transport:
          type: object
          properties:
            type:
              type: string
              enum:
                - CONNECTOR
            description:
              type: string
            version:
              type: string
        configuration:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              value:
                type: string
              type:
                type: string
              category:
                type: string
        account:
          type: object
          properties:
            id:
              type: integer
        updateMethod:
          type: string
          enum:
            - APPEND
            - REPLACE
        dataProvider:
          type: object
          properties:
            key:
              type: string
        dataSource:
          type: object
          properties:
            name:
              type: string
            description:
              type: string
        advancedScheduleJson:
          type: string
  securitySchemes:
    developerToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Developer token obtained from Domo

````